table {
  border-spacing: 0;
  border-collapse: collapse;
}
caption {
  font-weight: bold;
}
td,
th,
caption {
  border: 1px solid #000;
  border-collapse: collapse;
}
caption {
  border-bottom: none;
}

.weekends {
  color: red;
}

/* td:nth-child(6n) {
  color: red;
}
td:nth-child(7n) {
  color: red;
} нашел типо такого но 1 не закрашивается,поэтому по классике,через классы :)*/
